org.eclipse.wst.jsdt.chromium.debug.core.model

## Class DebugElementImpl.WithEvaluate

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase
          - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate

Direct Known Subclasses:
  StackFrameBase, ValueBase, Variable

Enclosing class:
  DebugElementImpl

    public static class DebugElementImpl.WithEvaluate
    extends DebugElementImpl.WithEvaluateBase

A base class for debug element that refers to `EvaluateContext`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
Constructor and Description
`WithEvaluate(EvaluateContext evaluateContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`EvaluateContext` `getEvaluateContext()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase

`getSuspendedState`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getAdapter, getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithEvaluate

    public WithEvaluate(EvaluateContext evaluateContext)

### Method Detail

#### getEvaluateContext

    public EvaluateContext getEvaluateContext()

Specified by:
  `getEvaluateContext` in class `DebugElementImpl.WithEvaluateBase`